Get items of a specific list - Fabric
Get items of a specific list
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/list/{listId}/items \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Status Codes
200- Success400- Bad Request404- Not Found500- Internal Server Error
Example Response
Successful Response
[
{
"listId": "5349b4ddd2781d08c09890f4",
"sku": "sku1",
"itemId": "123",
"quantity": 1
}
]
Error Responses
{
"message": "Bad Request"
}
{
"message": "Object Not Found."
}
{
"message": "Internal Server Error"
}
Authorizations
Authorization: A string required in the header as Bearer <token>, where <token> is your authentication token.
Path Parameters
- listId:
string- required, The ID of the list from which items are to be retrieved.
Response
The response returns item details with the following structure:
- listId:
string- required, ID of the list. - sku:
string- SKU of the item. - itemId:
string- ID of the item. - quantity:
integer<int32>- The number of items added to the list (must be >= 0).